dictCreate(3)

NAME
dictCreate - create new dictionary.

SYNOPSIS
#include <util/dict.h> NEOERR *dictCreate(dictCtx *dict, BOOL threaded, UINT32 root, UINT32 maxLevel,
    UINT32 flushLimit, BOOL useCase,
    dictFreeValueFunc freeValue, void *freeRock);

ARGUMENTS
threaded - true if list should be thread-safe.
root - performance parameter (see above).
maxLevel - performance parameter (see above).
flushLimit - max deleted items to keep cached before
forcing a flush.
useCase - true to be case sensitive in identifiers
freeValue - callback when freeing a value
freeRock - context for freeValue callback

DESCRIPTION
Returns a dictionary. If <threaded> is true, list is multi-thread safe. <root>, <maxLevel>, and <flushLimit> act as for skipNewList() (see skiplist.h) MT-Level: Safe.

RETURN VALUE
None.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch